%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:             undertow
Version:          1.4.0
Release:          6%{?dist}
Summary:          Java web server using non-blocking IO
License:          ASL 2.0
URL:              http://undertow.io/
Source0:          https://github.com/undertow-io/undertow/archive/%{namedversion}/%{name}-%{namedversion}.tar.gz
# Remove unavailable methods in jetty-alpn-api-1.1.0
Patch0:           undertow-1.4.0-jetty-alpn-api-1.1.0.patch

BuildArch:        noarch
Epoch:            1

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.eclipse.jetty.alpn:alpn-api)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.classfilewriter:jboss-classfilewriter)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
BuildRequires:    mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires:    mvn(org.jboss.spec.javax.websocket:jboss-websocket-api_1.1_spec)
BuildRequires:    mvn(org.jboss.xnio:xnio-api)
BuildRequires:    mvn(org.jboss.xnio:xnio-nio)

%description
Java web server using non-blocking IO

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

rm -rf mac-jdk-fix

# Not needed
%pom_disable_module examples

%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_plugin org.bitstrings.maven.plugins:dependencypath-maven-plugin core
%pom_remove_plugin org.bitstrings.maven.plugins:dependencypath-maven-plugin servlet
%pom_remove_dep -r io.undertow.build:undertow-checkstyle-config

# Disable default-jar execution of maven-jar-plugin, which is causing
# problems with version 3.0.0 of the plugin.
for p in core servlet;do
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-jar-plugin']/pom:executions" "
 <execution>
  <id>default-jar</id>
  <phase>skip</phase>
 </execution>" ${p}
done

%build

%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Aug 20 2016 gil cattaneo <puntogil@libero.it> 1:1.4.0-1
- update to 1.4.0.Final

* Tue Jun 07 2016 gil cattaneo <puntogil@libero.it> 1:1.3.19-2
- fix changelog epoch

* Thu Jun 02 2016 gil cattaneo <puntogil@libero.it> 1:1.3.19-1
- update to 1.3.19.Final
- enable spdy protocol
- fix BR list and use BR mvn()-like
- introduce license macro
- remove duplicate files
- fix some rpmlint problem

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Marek Goldmann <mgoldman@redhat.com> - 1:1.1.0-1
- Upstream release 1.1.0.Final

* Wed Jun 11 2014 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.15-1
- Upstream release 1.0.15.Final

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Apr 23 2014 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.5-1
- Upstream release 1.0.5.Final

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1:1.0.0-2
- Use Requires: java-headless rebuild (#1067528)

* Thu Feb 13 2014 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-1
- Upstream release 1.0.0.Final

* Mon Dec 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.7.Beta30
- Upstream release 1.0.0.Beta30

* Thu Dec 12 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.6.Beta27
- Upstream release 1.0.0.Beta27

* Mon Oct 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.5.Beta17
- Upstream release 1.0.0.Beta17

* Tue Sep 10 2013 Marek Goldmann <mgoldman@redhat.com> - 1:1.0.0-0.4.Beta7
- Upstream release 1.0.0.Beta7
- WildFly 1.0.0.Alpha4 doesn't like the Beta11, bumped Epoch

* Tue Sep 10 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.3.Beta11
- Upstream release 1.0.0.Beta11

* Tue Jul 23 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.2.Beta3
- Upstream release 1.0.0.Beta3

* Wed Jun 26 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.0-0.1.Alpha21
- Initial packaging

